diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data.c
index a370aca..7dc4aaf 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data.c
@@ -1143,234 +694,37 @@ static pinmuxModuleCfg_t gWkup_uartPinCfg[] =
     {PINMUX_END}
 };
 
-static pinmuxPerCfg_t gMcasp2PinCfg[] =
-{
-    /* MyMCASP2 -> MCASP2_ACLKX -> AA29 */
-    {
-        PIN_PRG0_PRU1_GPO19, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP2 -> MCASP2_AFSX -> AA26 */
-    {
-        PIN_PRG0_PRU1_GPO18, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP2 -> MCASP2_AXR3 -> Y25 */
-    {
-        PIN_PRG0_PRU1_GPO17, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxPerCfg_t gMcasp0PinCfg[] =
-{
-    /* MyMCASP10 -> MCASP10_ACLKX -> U23 */
-    {
-        PIN_RGMII5_TX_CTL, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AFSX -> U26 */
-    {
-        PIN_RGMII5_RX_CTL, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR0 -> V28 */
-    {
-        PIN_RGMII5_TD3, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR1 -> V29 */
-    {
-        PIN_RGMII5_TD2, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR2 -> U29 */
-    {
-        PIN_RGMII5_TXC, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR3 -> U25 */
-    {
-        PIN_RGMII5_RXC, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR4 -> V25 */
-    {
-        PIN_RGMII6_TD1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR5 -> W27 */
-    {
-        PIN_RGMII6_TD0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP10 -> MCASP10_AXR6 -> W29 */
-    {
-        PIN_RGMII6_TXC, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* AUDIO_EXT_REFCLK2 (to PCM3168a) */
-    {
-        PIN_RGMII6_RXC, PIN_MODE(3) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxPerCfg_t gMcasp1PinCfg[] =
-{
-    /* MyMCASP11 -> MCASP11_ACLKX -> V27 */
-    {
-        PIN_RGMII5_TD1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AFSX -> U28 */
-    {
-        PIN_RGMII5_TD0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR0 -> U27 */
-    {
-        PIN_RGMII5_RD3, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR1 -> U24 */
-    {
-        PIN_RGMII5_RD2, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR2 -> R23 */
-    {
-        PIN_RGMII5_RD1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR3 -> T23 */
-    {
-        PIN_RGMII5_RD0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR4 -> Y29 */
-    {
-        PIN_RGMII6_RD3, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR5 -> Y27 */
-    {
-        PIN_RGMII6_RD2, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR6 -> W24 */
-    {
-        PIN_RGMII6_RD1, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCASP11 -> MCASP11_AXR7 -> W25 */
-    {
-        PIN_RGMII6_RD0, PIN_MODE(12) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxModuleCfg_t gMcaspPinCfg[] =
-{
-    {2, TRUE, gMcasp2PinCfg},
-    {0, TRUE, gMcasp0PinCfg},
-    {1, TRUE, gMcasp1PinCfg},
-    {PINMUX_END}
-};
-
-
-static pinmuxPerCfg_t gMcu_adc0PinCfg[] =
-{
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN0 -> K25 */
-    {
-        PIN_MCU_ADC0_AIN0, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN1 -> K26 */
-    {
-        PIN_MCU_ADC0_AIN1, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN2 -> K28 */
-    {
-        PIN_MCU_ADC0_AIN2, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN3 -> L28 */
-    {
-        PIN_MCU_ADC0_AIN3, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN4 -> K24 */
-    {
-        PIN_MCU_ADC0_AIN4, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN5 -> K27 */
-    {
-        PIN_MCU_ADC0_AIN5, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN6 -> K29 */
-    {
-        PIN_MCU_ADC0_AIN6, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCU_ADC0 -> MCU_ADC0_AIN7 -> L29 */
-    {
-        PIN_MCU_ADC0_AIN7, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxModuleCfg_t gMcu_adcPinCfg[] =
-{
-    {0, TRUE, gMcu_adc0PinCfg},
-    {PINMUX_END}
-};
-
 
 pinmuxBoardCfg_t gJ721E_MainPinmuxData[] =
 {
-    {0, gDebugssPinCfg},
-    {1, gDpPinCfg},
-    {2, gGpioPinCfg},
-    {3, gI2cPinCfg},
-    {4, gMcanPinCfg},
-    {5, gMdioPinCfg},
-    {6, gMlbPinCfg},
-    {7, gMmcsdPinCfg},
-    {8, gSystemPinCfg},
-    {9, gUartPinCfg},
-    {10, gUsbPinCfg},
-    {11, gMcaspPinCfg},
+    {0, gGpioPinCfg},
+    {1, gI2cPinCfg},
+    {2, gMcanPinCfg},
+    {3, gMdioPinCfg},
+
+    {5, gSystemPinCfg},
+    {6, gUartPinCfg},
+    {7, gUsbPinCfg},
     {PINMUX_END}
 };
 
 pinmuxBoardCfg_t gJ721E_WkupPinmuxData[] =
 {
-    {0, gMcu_i2cPinCfg},
-    {1, gMcu_i3cPinCfg},
-    {2, gMcu_mcanPinCfg},
-    {3, gMcu_mdioPinCfg},
-    {4, gMcu_fss0_ospiPinCfg},
+    {0, gMcu_adcPinCfg},
+    {1, gMcu_fss0_ospiPinCfg},
+    {2, gMcu_i2cPinCfg},
+    {3, gMcu_mcanPinCfg},
+    {4, gMcu_mdioPinCfg},
     {5, gMcu_rgmiiPinCfg},
     {6, gMcu_uartPinCfg},
-    {7, gWkup_debugssPinCfg},
-    {8, gWkup_gpioPinCfg},
-    {9, gWkup_i2cPinCfg},
-    {10, gWkup_systemPinCfg},
-    {11, gWkup_uartPinCfg},
-    {12, gMcu_adcPinCfg},
+    //{7, gMcu_uartPinCfg},
+    {7, gWkup_i2cPinCfg},
+    {8, gWkup_uartPinCfg},
     {PINMUX_END}
 };
 
 pinmuxBoardCfg_t gJ721E_WkupPinmuxDataHpb[] =
 {
-    {0, gMcu_fss0_hpbPinCfg},
+    //{0, gMcu_fss0_hpbPinCfg},
     {PINMUX_END}
 };
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi.c
index a3daed1..caaaaf7 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi.c
@@ -22,56 +22,18 @@
 
 static pinmuxPerCfg_t gEhrpwm0PinCfg[] =
 {
-    /* MyEHRPWM0 -> EHRPWM0_A -> V29 */
-    {
-        PIN_RGMII5_TD2, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyEHRPWM0 -> EHRPWM0_B -> V27 */
-    {
-        PIN_RGMII5_TD1, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyEHRPWM0 -> EHRPWM0_SYNCI -> U23 */
-    {
-        PIN_RGMII5_TX_CTL, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyEHRPWM0 -> EHRPWM0_SYNCO -> U26 */
-    {
-        PIN_RGMII5_RX_CTL, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
+
     {PINMUX_END}
 };
 
 static pinmuxPerCfg_t gEhrpwm1PinCfg[] =
 {
-    /* MyEHRPWM1 -> EHRPWM1_A -> U28 */
-    {
-        PIN_RGMII5_TD0, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyEHRPWM1 -> EHRPWM1_B -> U29 */
-    {
-        PIN_RGMII5_TXC, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
     {PINMUX_END}
 };
 
 static pinmuxPerCfg_t gEhrpwm2PinCfg[] =
 {
-    /* MyEHRPWM2 -> EHRPWM2_A -> U27 */
-    {
-        PIN_RGMII5_RD3, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyEHRPWM2 -> EHRPWM2_B -> U24 */
-    {
-        PIN_RGMII5_RD2, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
+
     {PINMUX_END}
 };
 
@@ -138,11 +100,6 @@ static pinmuxPerCfg_t gGpio0PinCfg[] =
         PIN_PRG0_PRU1_GPO5, PIN_MODE(7) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyGPIO1 -> GPIO0_96 -> T23 */
-    {
-        PIN_RGMII5_RD0, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     {PINMUX_END}
 };
 
@@ -169,36 +126,6 @@ static pinmuxModuleCfg_t gGpioPinCfg[] =
 };
 
 
-static pinmuxPerCfg_t gMcan6PinCfg[] =
-{
-    /* MyMCAN6 -> MCAN6_RX -> AG21 */
-    {
-        PIN_PRG1_PRU1_GPO5, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCAN6 -> MCAN6_TX -> AH21 */
-    {
-        PIN_PRG1_PRU0_GPO19, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxPerCfg_t gMcan7PinCfg[] =
-{
-    /* MyMCAN7 -> MCAN7_RX -> Y23 */
-    {
-        PIN_PRG1_PRU1_GPO8, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyMCAN7 -> MCAN7_TX -> AC21 */
-    {
-        PIN_PRG1_PRU1_GPO7, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    {PINMUX_END}
-};
-
 static pinmuxPerCfg_t gMcan9PinCfg[] =
 {
     /* MyMCAN9 -> MCAN9_RX -> AC27 */
@@ -261,8 +188,6 @@ static pinmuxPerCfg_t gMcan4PinCfg[] =
 
 static pinmuxModuleCfg_t gMcanPinCfg[] =
 {
-    {6, TRUE, gMcan6PinCfg},
-    {7, TRUE, gMcan7PinCfg},
     {9, TRUE, gMcan9PinCfg},
     {1, TRUE, gMcan1PinCfg},
     {5, TRUE, gMcan5PinCfg},
@@ -344,7 +269,7 @@ static pinmuxModuleCfg_t gMdioPinCfg[] =
     {PINMUX_END}
 };
 
-
+#if 0
 static pinmuxPerCfg_t gPru_icssg0_mdio0PinCfg[] =
 {
     /* MyPRU_ICSSG0_MDIO1 -> PRG0_MDIO0_MDC -> AA27 */
@@ -365,10 +290,11 @@ static pinmuxModuleCfg_t gPru_icssg0_mdioPinCfg[] =
     {0, TRUE, gPru_icssg0_mdio0PinCfg},
     {PINMUX_END}
 };
-
+#endif
 
 static pinmuxPerCfg_t gPru_icssg0_rgmii1PinCfg[] =
 {
+#if 0
     /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RD0 -> AF28 */
     {
         PIN_PRG0_PRU0_GPO0, PIN_MODE(2) | \
@@ -429,71 +355,13 @@ static pinmuxPerCfg_t gPru_icssg0_rgmii1PinCfg[] =
         PIN_PRG0_PRU0_GPO15, PIN_MODE(2) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
+#endif
     {PINMUX_END}
 };
 
 static pinmuxPerCfg_t gPru_icssg0_rgmii2PinCfg[] =
 {
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD0 -> AE29 */
-    {
-        PIN_PRG0_PRU1_GPO0, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD1 -> AD28 */
-    {
-        PIN_PRG0_PRU1_GPO1, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD2 -> AD27 */
-    {
-        PIN_PRG0_PRU1_GPO2, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD3 -> AC25 */
-    {
-        PIN_PRG0_PRU1_GPO3, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RXC -> AC26 */
-    {
-        PIN_PRG0_PRU1_GPO6, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RX_CTL -> AD29 */
-    {
-        PIN_PRG0_PRU1_GPO4, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD0 -> AG26 */
-    {
-        PIN_PRG0_PRU1_GPO11, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD1 -> AF27 */
-    {
-        PIN_PRG0_PRU1_GPO12, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD2 -> AF26 */
-    {
-        PIN_PRG0_PRU1_GPO13, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD3 -> AE25 */
-    {
-        PIN_PRG0_PRU1_GPO14, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TXC -> AG29 */
-    {
-        PIN_PRG0_PRU1_GPO16, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TX_CTL -> AF29 */
-    {
-        PIN_PRG0_PRU1_GPO15, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+ 
     {PINMUX_END}
 };
 
@@ -529,11 +397,6 @@ static pinmuxPerCfg_t gPru_icssg1_mdio0PinCfg[] =
         PIN_PRG1_MDIO0_MDC, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyPRU_ICSSG1_MDIO1 -> PRG1_MDIO0_MDIO -> AD19 */
-    {
-        PIN_PRG1_MDIO0_MDIO, PIN_MODE(0) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     {PINMUX_END}
 };
 
@@ -551,14 +414,9 @@ static pinmuxPerCfg_t gPru_icssg1_pru1PinCfg[] =
         PIN_PRG1_PRU1_GPO10, PIN_MODE(2) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyPRU_ICSSG1_PRU1 -> PRG1_PRU1_GPO9 -> AF21 */
-    {
-        PIN_PRG1_PRU1_GPO9, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     {PINMUX_END}
 };
-
+#if 0
 static pinmuxPerCfg_t gPru_icssg1_pru0PinCfg[] =
 {
     /* MyPRU_ICSSG1_PRU2 -> PRG1_PRU0_GPO10 -> AD21 */
@@ -568,39 +426,19 @@ static pinmuxPerCfg_t gPru_icssg1_pru0PinCfg[] =
     },
     {PINMUX_END}
 };
-
+#endif
 static pinmuxModuleCfg_t gPru_icssg1_pruPinCfg[] =
 {
     {1, TRUE, gPru_icssg1_pru1PinCfg},
-    {0, TRUE, gPru_icssg1_pru0PinCfg},
+    // {0, TRUE, gPru_icssg1_pru0PinCfg},
     {PINMUX_END}
 };
 
 
-static pinmuxPerCfg_t gPru_icssg1_pwm3PinCfg[] =
-{
-    /* MyPRU_ICSSG1_PWM3 -> PRG1_PWM3_B2 -> AD20 */
-    {
-        PIN_PRG1_PRU0_GPO5, PIN_MODE(3) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    {PINMUX_END}
-};
-
-static pinmuxModuleCfg_t gPru_icssg1_pwmPinCfg[] =
-{
-    {3, TRUE, gPru_icssg1_pwm3PinCfg},
-    {PINMUX_END}
-};
 
 
 static pinmuxPerCfg_t gPru_icssg1_rgmii1PinCfg[] =
 {
-    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD0 -> AC23 */
-    {
-        PIN_PRG1_PRU0_GPO0, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD1 -> AG22 */
     {
         PIN_PRG1_PRU0_GPO1, PIN_MODE(2) | \
@@ -626,11 +464,6 @@ static pinmuxPerCfg_t gPru_icssg1_rgmii1PinCfg[] =
         PIN_PRG1_PRU0_GPO4, PIN_MODE(2) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD0 -> AF24 */
-    {
-        PIN_PRG1_PRU0_GPO11, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
     /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD1 -> AJ24 */
     {
         PIN_PRG1_PRU0_GPO12, PIN_MODE(2) | \
@@ -671,56 +504,6 @@ static pinmuxPerCfg_t gPru_icssg1_rgmii2PinCfg[] =
         PIN_PRG1_PRU1_GPO1, PIN_MODE(2) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD2 -> AF23 */
-    {
-        PIN_PRG1_PRU1_GPO2, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD3 -> AD23 */
-    {
-        PIN_PRG1_PRU1_GPO3, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RXC -> AE23 */
-    {
-        PIN_PRG1_PRU1_GPO6, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RX_CTL -> AH24 */
-    {
-        PIN_PRG1_PRU1_GPO4, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD0 -> AJ25 */
-    {
-        PIN_PRG1_PRU1_GPO11, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD1 -> AH25 */
-    {
-        PIN_PRG1_PRU1_GPO12, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD2 -> AG25 */
-    {
-        PIN_PRG1_PRU1_GPO13, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD3 -> AH26 */
-    {
-        PIN_PRG1_PRU1_GPO14, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TXC -> AJ26 */
-    {
-        PIN_PRG1_PRU1_GPO16, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TX_CTL -> AJ27 */
-    {
-        PIN_PRG1_PRU1_GPO15, PIN_MODE(2) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     {PINMUX_END}
 };
 
@@ -739,11 +522,13 @@ static pinmuxPerCfg_t gSpi3PinCfg[] =
         PIN_PRG0_PRU1_GPO17, PIN_MODE(4) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
+#if 0    
     /* MySPI3 -> SPI3_CS1 -> AB26 */
     {
         PIN_PRG0_PRU0_GPO9, PIN_MODE(4) | \
         ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
     },
+#endif    
     /* MySPI3 -> SPI3_CS2 -> AB25 */
     {
         PIN_PRG0_PRU0_GPO10, PIN_MODE(4) | \
@@ -762,39 +547,14 @@ static pinmuxPerCfg_t gSpi3PinCfg[] =
     {PINMUX_END}
 };
 
-static pinmuxPerCfg_t gSpi6PinCfg[] =
-{
-    /* MySPI6 -> SPI6_CLK -> AC22 */
-    {
-        PIN_PRG1_PRU1_GPO17, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MySPI6 -> SPI6_CS1 -> AG20 */
-    {
-        PIN_PRG1_PRU0_GPO9, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MySPI6 -> SPI6_D0 -> AJ22 */
-    {
-        PIN_PRG1_PRU1_GPO18, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MySPI6 -> SPI6_D1 -> AH22 */
-    {
-        PIN_PRG1_PRU1_GPO19, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
 
 static pinmuxModuleCfg_t gSpiPinCfg[] =
 {
     {3, TRUE, gSpi3PinCfg},
-    {6, TRUE, gSpi6PinCfg},
     {PINMUX_END}
 };
 
-
+#if 0
 static pinmuxPerCfg_t gUart8PinCfg[] =
 {
     /* MyUART1 -> UART8_RXD -> Y24 */
@@ -809,6 +569,7 @@ static pinmuxPerCfg_t gUart8PinCfg[] =
     },
     {PINMUX_END}
 };
+	#endif
 
 static pinmuxPerCfg_t gUart4PinCfg[] =
 {
@@ -827,7 +588,7 @@ static pinmuxPerCfg_t gUart4PinCfg[] =
 
 static pinmuxModuleCfg_t gUartPinCfg[] =
 {
-    {8, TRUE, gUart8PinCfg},
+    //{8, TRUE, gUart8PinCfg},
     {4, TRUE, gUart4PinCfg},
     {PINMUX_END}
 };
@@ -857,12 +618,11 @@ pinmuxBoardCfg_t gJ721E_MainPinmuxDataGesiIcssg[] =
     {2, gGpioPinCfg},
     {3, gMcanPinCfg},
     {4, gMdioPinCfg},
-    {5, gPru_icssg0_mdioPinCfg},
+    // {5, gPru_icssg0_mdioPinCfg},
     {6, gPru_icssg0_rgmiiPinCfg},
     {7, gPru_icssg1_iepPinCfg},
     {8, gPru_icssg1_mdioPinCfg},
     {9, gPru_icssg1_pruPinCfg},
-    {10, gPru_icssg1_pwmPinCfg},
     {11, gPru_icssg1_rgmiiPinCfg},
     {12, gSpiPinCfg},
     {13, gUartPinCfg},
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi_cpsw9g.c b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi_cpsw9g.c
index 28c8035..5f7727f 100755
--- a/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi_cpsw9g.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/board/src/j721e_evm/J721E_pinmux_data_gesi_cpsw9g.c
@@ -19,7 +19,7 @@
 
 /** Peripheral Pin Configurations */
 
-
+#if 0
 static pinmuxPerCfg_t gCpsw9g0PinCfg[] =
 {
     /* MyCPSW9G3 -> CLKOUT -> AA25 */
@@ -29,21 +29,17 @@ static pinmuxPerCfg_t gCpsw9g0PinCfg[] =
     },
     {PINMUX_END}
 };
+	#endif
 
 static pinmuxModuleCfg_t gCpsw9gPinCfg[] =
 {
-    {0, TRUE, gCpsw9g0PinCfg},
     {PINMUX_END}
 };
 
 
 static pinmuxPerCfg_t gGpio0PinCfg[] =
 {
-    /* MyGPIO0 -> GPIO0_96 -> T23 */
-    {
-        PIN_RGMII5_RD0, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+
     /* MyGPIO0 -> GPIO0_104 -> W26 */
     {
         PIN_RGMII6_RXC, PIN_MODE(7) | \
@@ -213,16 +209,6 @@ static pinmuxPerCfg_t gRgmii4PinCfg[] =
 
 static pinmuxPerCfg_t gRgmii1PinCfg[] =
 {
-    /* MyRGMII1 -> RGMII1_RD0 -> AC23 */
-    {
-        PIN_PRG1_PRU0_GPO0, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII1 -> RGMII1_RD1 -> AG22 */
-    {
-        PIN_PRG1_PRU0_GPO1, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     /* MyRGMII1 -> RGMII1_RD2 -> AF22 */
     {
         PIN_PRG1_PRU0_GPO2, PIN_MODE(4) | \
@@ -243,11 +229,6 @@ static pinmuxPerCfg_t gRgmii1PinCfg[] =
         PIN_PRG1_PRU0_GPO4, PIN_MODE(4) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII1 -> RGMII1_TD0 -> AF24 */
-    {
-        PIN_PRG1_PRU0_GPO11, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
     /* MyRGMII1 -> RGMII1_TD1 -> AJ24 */
     {
         PIN_PRG1_PRU0_GPO12, PIN_MODE(4) | \
@@ -288,71 +269,11 @@ static pinmuxPerCfg_t gRgmii2PinCfg[] =
         PIN_PRG1_PRU1_GPO1, PIN_MODE(4) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII2 -> RGMII2_RD2 -> AF23 */
-    {
-        PIN_PRG1_PRU1_GPO2, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII2 -> RGMII2_RD3 -> AD23 */
-    {
-        PIN_PRG1_PRU1_GPO3, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII2 -> RGMII2_RXC -> AE23 */
-    {
-        PIN_PRG1_PRU1_GPO6, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII2 -> RGMII2_RX_CTL -> AH24 */
-    {
-        PIN_PRG1_PRU1_GPO4, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII2 -> RGMII2_TD0 -> AJ25 */
-    {
-        PIN_PRG1_PRU1_GPO11, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyRGMII2 -> RGMII2_TD1 -> AH25 */
-    {
-        PIN_PRG1_PRU1_GPO12, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyRGMII2 -> RGMII2_TD2 -> AG25 */
-    {
-        PIN_PRG1_PRU1_GPO13, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyRGMII2 -> RGMII2_TD3 -> AH26 */
-    {
-        PIN_PRG1_PRU1_GPO14, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
-    /* MyRGMII2 -> RGMII2_TXC -> AJ26 */
-    {
-        PIN_PRG1_PRU1_GPO16, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII2 -> RGMII2_TX_CTL -> AJ27 */
-    {
-        PIN_PRG1_PRU1_GPO15, PIN_MODE(4) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     {PINMUX_END}
 };
 
 static pinmuxPerCfg_t gRgmii7PinCfg[] =
 {
-    /* MyRGMII7 -> RGMII7_RD0 -> AC23 */
-    {
-        PIN_PRG1_PRU0_GPO0, PIN_MODE(9) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyRGMII7 -> RGMII7_RD1 -> AG22 */
-    {
-        PIN_PRG1_PRU0_GPO1, PIN_MODE(9) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
     /* MyRGMII7 -> RGMII7_RD2 -> AF22 */
     {
         PIN_PRG1_PRU0_GPO2, PIN_MODE(9) | \
@@ -373,11 +294,6 @@ static pinmuxPerCfg_t gRgmii7PinCfg[] =
         PIN_PRG1_PRU0_GPO4, PIN_MODE(9) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII7 -> RGMII7_TD0 -> AF24 */
-    {
-        PIN_PRG1_PRU0_GPO11, PIN_MODE(9) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
-    },
     /* MyRGMII7 -> RGMII7_TD1 -> AJ24 */
     {
         PIN_PRG1_PRU0_GPO12, PIN_MODE(9) | \
@@ -418,65 +334,79 @@ static pinmuxPerCfg_t gRgmii8PinCfg[] =
         PIN_PRG1_PRU1_GPO1, PIN_MODE(8) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_RD2 -> AF23 */
+    {PINMUX_END}
+};
+static pinmuxPerCfg_t gRgmii5PinCfg[] =
+{
+    /* MyRGMII5 -> RGMII5_RD0 -> T23 */
     {
-        PIN_PRG1_PRU1_GPO2, PIN_MODE(8) | \
+        PIN_RGMII5_RD0, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_RD3 -> AD23 */
+    /* MyRGMII5 -> RGMII5_RD1 -> R23 */
     {
-        PIN_PRG1_PRU1_GPO3, PIN_MODE(8) | \
+        PIN_RGMII5_RD1, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_RXC -> AE23 */
+    /* MyRGMII5 -> RGMII5_RD2 -> U24 */
     {
-        PIN_PRG1_PRU1_GPO6, PIN_MODE(8) | \
+        PIN_RGMII5_RD2, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_RX_CTL -> AH24 */
+    /* MyRGMII5 -> RGMII5_RD3 -> U27 */
     {
-        PIN_PRG1_PRU1_GPO4, PIN_MODE(8) | \
+        PIN_RGMII5_RD3, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_TD0 -> AJ25 */
+    /* MyRGMII5 -> RGMII5_RXC -> U25 */
     {
-        PIN_PRG1_PRU1_GPO11, PIN_MODE(8) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
+        PIN_RGMII5_RXC, PIN_MODE(0) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_TD1 -> AH25 */
+    /* MyRGMII5 -> RGMII5_RX_CTL -> U26 */
     {
-        PIN_PRG1_PRU1_GPO12, PIN_MODE(8) | \
-        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
+        PIN_RGMII5_RX_CTL, PIN_MODE(0) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyRGMII8 -> RGMII8_TD2 -> AG25 */
+    /* MyRGMII5 -> RGMII5_TD0 -> U28 */
     {
-        PIN_PRG1_PRU1_GPO13, PIN_MODE(8) | \
+        PIN_RGMII5_TD0, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyRGMII8 -> RGMII8_TD3 -> AH26 */
+    /* MyRGMII5 -> RGMII5_TD1 -> V27 */
     {
-        PIN_PRG1_PRU1_GPO14, PIN_MODE(8) | \
+        PIN_RGMII5_TD1, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyRGMII8 -> RGMII8_TXC -> AJ26 */
+    /* MyRGMII5 -> RGMII5_TD2 -> V29 */
     {
-        PIN_PRG1_PRU1_GPO16, PIN_MODE(8) | \
+        PIN_RGMII5_TD2, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
-    /* MyRGMII8 -> RGMII8_TX_CTL -> AJ27 */
+    /* MyRGMII5 -> RGMII5_TD3 -> V28 */
     {
-        PIN_PRG1_PRU1_GPO15, PIN_MODE(8) | \
+        PIN_RGMII5_TD3, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
+    /* MyRGMII5 -> RGMII5_TXC -> U29 */
+    {
+        PIN_RGMII5_TXC, PIN_MODE(0) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* MyRGMII5 -> RGMII5_TX_CTL -> U23 */
+    {
+        PIN_RGMII5_TX_CTL, PIN_MODE(0) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
     {PINMUX_END}
 };
-
 static pinmuxModuleCfg_t gRgmiiPinCfg[] =
 {
     {3, TRUE, gRgmii3PinCfg},
     {4, TRUE, gRgmii4PinCfg},
     {1, TRUE, gRgmii1PinCfg},
     {2, TRUE, gRgmii2PinCfg},
+    {5, TRUE, gRgmii5PinCfg},
     {PINMUX_END}
 };
 
@@ -575,14 +505,16 @@ pinmuxBoardCfg_t gJ721E_MainPinmuxDataGesiCpsw9gSgmii[] =
     {2, gMdioPinCfg},
     {3, gSgmiiPinCfg},
     {4, gRmiiPinCfg},
+    {5, gRgmiiPinCfg},
     {PINMUX_END}
 };
 
 pinmuxBoardCfg_t gJ721E_MainPinmuxDataGesiCpsw9gQsgmii[] =
 {
     {0, gCpsw9gPinCfg},
-    {1, gMdioPinCfg},
-    {2, gQsgmiiPinCfg},
+    {1, gGpioPinCfg},
+    {2, gMdioPinCfg},
+    {3, gQsgmiiPinCfg},
     {PINMUX_END}
 };
 pinmuxBoardCfg_t gJ721E_WkupPinmuxDataGesiCpsw9g[] =
